org.apache.lucene.index

## Class MergeState

- java.lang.Object
- - org.apache.lucene.index.MergeState

    public class MergeState
    extends Object

Holds common state used during segment merging.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`static class` `MergeState.DocMap` A map of doc IDs.

### Field Summary

Fields
`MergeState.DocMap[]` `docMaps` Maps document IDs from old segments to document IDs in the new segment
`DocValuesProducer[]` `docValuesProducers` DocValues producers being merged
`FieldInfos[]` `fieldInfos` FieldInfos being merged
`FieldsProducer[]` `fieldsProducers` Postings to merge
`InfoStream` `infoStream` InfoStream for debugging messages.
`Bits[]` `liveDocs` Live docs for each reader
`int[]` `maxDocs` Max docs per reader
`FieldInfos` `mergeFieldInfos` `FieldInfos` of the newly merged segment.
`boolean` `needsIndexSort` Indicates if the index needs to be sorted
`NormsProducer[]` `normsProducers` Norms producers being merged
`PointsReader[]` `pointsReaders` Point readers to merge
`SegmentInfo` `segmentInfo` `SegmentInfo` of the newly merged segment.
`StoredFieldsReader[]` `storedFieldsReaders` Stored field producers being merged
`TermVectorsReader[]` `termVectorsReaders` Term vector producers being merged

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### docMaps

    public final MergeState.DocMap[] docMaps

Maps document IDs from old segments to document IDs in the new segment

#### segmentInfo

    public final SegmentInfo segmentInfo

`SegmentInfo` of the newly merged segment.

#### mergeFieldInfos

    public FieldInfos mergeFieldInfos

`FieldInfos` of the newly merged segment.

#### storedFieldsReaders

    public final StoredFieldsReader[] storedFieldsReaders

Stored field producers being merged

#### termVectorsReaders

    public final TermVectorsReader[] termVectorsReaders

Term vector producers being merged

#### normsProducers

    public final NormsProducer[] normsProducers

Norms producers being merged

#### docValuesProducers

    public final DocValuesProducer[] docValuesProducers

DocValues producers being merged

#### fieldInfos

    public final FieldInfos[] fieldInfos

FieldInfos being merged

#### liveDocs

    public final Bits[] liveDocs

Live docs for each reader

#### fieldsProducers

    public final FieldsProducer[] fieldsProducers

Postings to merge

#### pointsReaders

    public final PointsReader[] pointsReaders

Point readers to merge

#### maxDocs

    public final int[] maxDocs

Max docs per reader

#### infoStream

    public final InfoStream infoStream

InfoStream for debugging messages.

#### needsIndexSort

    public boolean needsIndexSort

Indicates if the index needs to be sorted